Subject: [Isis-wg] about draft-ietf-isis-wg-mib-06

From: Jeff Parker <[email-masked]>
Date: Wed, 16 Jan 2002 09:55:03 -0500

Wang Xuepu -

Use of anything other than plain text on an 
IETF mailing list should be avoided.  

> In the draft-ietf-isis-wg-mib-06,we defined :

Version 07 just hit the list yesterday: I'd 
suggest you pick that up.  But the issue you
mention below is also in version 07.

> SystemID ::= TEXTUAL-CONVENTION
> ...
> SYNTAX            OCTET STRING (SIZE(0..6)),

> but I think the size of the SystemID should be biger 
> ... the SystemID is "111111111111", 
> 
> Wang xuepu

Translating from 12 character Hex to internal 
Octet string of length 6 is left as an exercise 
for the implementor.  There are standard C
libraries that can help.  

To recap history on this Textual Convention:
	10589 suggests that it could be upto 8 bytes
	Current practice is 6 bytes
	0 is left in for cases when we need an 
		empty SystemID
	There are other Textual Conventions for
		LSP ID and the like.

- jeff parker
- axiowave networks
- I can't remember if I'm the good twin or the evil one.
_______________________________________________
Isis-wg mailing list  -  [email-masked]
http://external.juniper.net/mailman/listinfo/isis-wg